package com.zanxiang.game.module.manage.constant;

/**
 * @author : lingfeng
 * @time : 2022-06-08
 * @description : 缓存key前缀
 */
public class RedisKeyConstant {

    /**
     * 同步服务缓存统一前缀
     */
    private static final String REDIS_PREFIX = "game_manage_";

    /**
     * 阿里云固话呼叫锁
     */
    public static final String PHONE_CALL_LOCK = RedisKeyConstant.REDIS_PREFIX + "phoneCall_lock_";

    /**
     * 小程序支付应用任务锁
     */
    public static final String PAY_APP_CHECK_LOCK = RedisKeyConstant.REDIS_PREFIX + "payApplicationCheck_lock";

    /**
     * 小程序失败计数器
     */
    public static final String APPLET_ERROR_COUNT = RedisKeyConstant.REDIS_PREFIX + "applet_error_count_";

    /**
     * 客服消息redis监听器消息频道
     */
    public static final String KF_MSG_REDIS_LISTEN_TOPIC = RedisKeyConstant.REDIS_PREFIX + "kf_msg_channel";

    /**
     * 接入玩家线程锁
     */
    public static final String KF_MSG_USER_CONNECT_JOIN = RedisKeyConstant.REDIS_PREFIX + "kf_msg_user_connect_join_";

    /**
     * 客服支付订单标记
     */
    public static final String GAME_CUSTOM_PAY_SIGN = "game_sdk_manage_custom_pay_sign_";

    /**
     * 客服系统玩家信息更新
     */
    public static final String KF_MSG_USER_SESSION_UPDATE = RedisKeyConstant.REDIS_PREFIX + "kf_msg_user_session_update_";

}
