package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.base.pojo.dto.SendMsgDTO;
import com.zanxiang.game.module.base.pojo.params.SendMsgTaskParam;
import com.zanxiang.game.module.base.pojo.vo.SendMsgVO;
import com.zanxiang.game.module.base.util.PageUtil;
import com.zanxiang.game.module.mybatis.entity.CpSendMsgTask;
import com.zanxiang.module.util.pojo.ResultVO;

public interface ICPSendMsgTaskService extends IService<CpSendMsgTask> {

    /**
     * 创建消息任务并发送消息
     * @param sendMsgDto
     * @return
     */
    ResultVO<Boolean> sendMsg(SendMsgDTO sendMsgDto);

    /**
     * 获取消息任务列表
     * @param param
     * @return
     */
    PageUtil<SendMsgVO> getSendMsgTaskList(SendMsgTaskParam param);



}
